メインコンテンツへスキップ
PUT
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
{name}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
    guardian "github.com/auth0/go-auth0/management/guardian"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Guardian.Factors.Set(
        context.TODO(),
        management.GuardianFactorNameEnumPushNotification,
        &guardian.SetGuardianFactorRequestContent{
            Enabled: true,
        },
    )
}
{
  "enabled": true
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

name
enum<string>
デフォルト:sms
必須

Factor name. Can be sms, push-notification, email, duo otp webauthn-roaming, webauthn-platform, or recovery-code.

利用可能なオプション:
push-notification,
sms,
email,
duo,
otp,
webauthn-roaming,
webauthn-platform,
recovery-code
Minimum string length: 1

ボディ

enabled
boolean
必須

Whether this factor is enabled (true) or disabled (false).

レスポンス

Factor updated successfully.

enabled
boolean
必須

Whether this factor is enabled (true) or disabled (false).